> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign an existing IdP user to an IdP-managed app

> Assigns an existing identity-provider user (by email) to an IdP-managed app workspace, optionally with an app role and groups. Unlike standard provisioning, this does not create a directory user. Returns an Iggre requestId to poll for the async result.



## OpenAPI

````yaml https://api.saas-manager.biz.nuro.jp/public-api/docs/v1-json post /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments
openapi: 3.0.0
info:
  title: Assist SaaS Manager Public API
  description: >-
    Assist SaaS Manager API is a RESTful API providing programmatic access to
    much of the data in the system. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to communicate with from a wide variety of
    environments, from command-line utilities to gadgets to the browser URL bar
    itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.saas-manager.biz.nuro.jp
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments:
    post:
      tags:
        - Services
      summary: Assign an existing IdP user to an IdP-managed app
      description: >-
        Assigns an existing identity-provider user (by email) to an IdP-managed
        app workspace, optionally with an app role and groups. Unlike standard
        provisioning, this does not create a directory user. Returns an Iggre
        requestId to poll for the async result.
      operationId: publicAssignIdpApp
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicAssignIdpAppRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicIdpRequestResponseDto'
        '400':
          description: Workspace is not managed by an identity provider
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    PublicAssignIdpAppRequestDto:
      type: object
      properties:
        email:
          type: string
          description: Email of the existing IdP user to assign to the app.
          example: user@example.com
        appRoleId:
          type: string
          description: >-
            EntraID app role id to grant. Defaults to the app's default-access
            role when omitted.
          example: 1d99c168-8717-40da-8555-396b235d4019
        groupIds:
          description: >-
            Optional IdP group ids to add the user to alongside the app
            assignment.
          type: array
          items:
            type: string
        workflowRunId:
          type: string
          description: Optional workflow run id for automation correlation.
      required:
        - email
    PublicIdpRequestResponseDto:
      type: object
      properties:
        requestId:
          type: string
          readOnly: true
          example: '1'
      required:
        - requestId
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://www.saas-manager.biz.nuro.jp/'>Assist SaaS Manager</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.